Subject: Re: bug#68244: hash-table improvements

From: Stefan Monnier <[email-masked]>
Date: Thu, 08 Feb 2024 10:13:10 -0500

>>  we can do something much simpler: vectors are accepted by
>> simply storing in the first field a reference to the actual obarray
>> object, so there's no need to play any games and/or share representation
>> between vectors and obarray.
>
> Why is that simpler than having `intern` accept both obarray objects and
> plain vectors, during a transitional period?

I don't know in which sense what I propose is different from what you
mean by "accept both obarray objects and plain vectors": what I propose
is a way to "accept both obarray objects and plain vectors".

        Stefan